library ieee;
use ieee.std_logic_1164.all;
use ieee.numeric_std.all;

entity sd_card_dataout_controller is 
port (

clk 		: 	in std_logic;
read 		: 	in std_logic;
chipselect 	:   	in std_logic;
address		:	in  unsigned(7 downto 0);
readdata  	: 	out unsigned(31 downto 0);

CARD_DAT	:  in std_logic
);

end sd_card_dataout_controller;

architecture card of sd_card_dataout_controller is
begin
  process(clk)
 begin
  if clk'event and clk ='1' then
    if chipselect = '1' then
		if read = '1' then
		 readdata(0)<= CARD_DAT;
		end if;
	end if;
  end if;
end process;
end architecture card;			
		
