#ifndef CARD_H_
#define CARD_H_

class Card
{
    public:
    const int& get_id( ){ return m_id; }
    bool is_matched( ){ if( m_status == STATUS_MATCHED ) return true; return false; }
    bool match( const int& id ){ if( m_id == id ){ m_status = STATUS_MATCHED; return true; } return false; }
    void place( );
    void show_front( );
    
    private:
    typedef enum
    {
        STATUS_SHOWING_BACK,
        STATUS_SHOWING_FRONT,
        STATUS_MATCHED
    }   TYPE_CARD_STATUS;
    
    int m_id;
    TYPE_CARD_STATUS m_status;
};


#endif /*CARD_H_*/
